Subject: [tram] draft-ietf-tram-turnbis

From: Noriyuki Torii <[email-masked]>
Date: Mon, 12 Mar 2018 16:10:08 +0900

To whom it may concern.

I found some discrepancies in the draft-ietf-tram-turnbis-14.
Hope this may help for improvement.

- Section 12 defines the allowed channel numbers as below,

 >      0x4000 through 0x7FFF: These values are the allowed channel
 >      numbers (16,384 possible values).

 but the RFC 7983 shrinks the valid range of channel number to 0x4000 - 0x4FFF.
 Please see also
 https://www.iana.org/assignments/stun-parameters/stun-parameters.xhtml#turn-channel

- STUNbis specification requires that PASSWORD-ALGORITHMS and PASSWORD-
  ALGORITHM attributes are both present or neither not present in each
  request, from my understandings.
  If so, the section 18 needs refinements to reflect the above requirement,
  because some example requests shown in the current document only have
  PASSWORD-ALGORITHM and doesn't have PASSWORD-ALGORITHMS.

Best regards,

Noriyuki Torii

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Mon, 12 Mar 2018 13:34:54 +0000

> -----Original Message-----
> From: tram [mailto:[email-masked]] On Behalf Of Noriyuki Torii
> Sent: Monday, March 12, 2018 12:40 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [tram] draft-ietf-tram-turnbis
> 
> To whom it may concern.
> 

Thanks, fixed. 

>   PASSWORD-ALGORITHM and doesn't have PASSWORD-ALGORITHMS.

Section 18 discusses both PASSWORD-ALGORITHM and PASSWORD-ALGORITHMS (sent in Allocate error response). 

-Tiru

> 
> Best regards,
> 
> Noriyuki Torii
> 
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram

---

From: Brandon Williams <[email-masked]>
Date: Mon, 12 Mar 2018 12:02:11 -0400

Hi Tiru,

I think that Torii's point is that according to stunbis section 9.2.5 a 
request that contains PASSWORD-ALGORITHM will also contain 
PASSWORD-ALGORITHMS, echoing back the value contained in the response. 
The example in section 18 does not show this.

--Brandon

---

From: Noriyuki Torii <[email-masked]>
Date: Tue, 13 Mar 2018 09:05:40 +0900

Hi Brandon,

Thanks for your complementary note.
Truly, it is what I would like to say in the previous post.

Regards,
Noriyuki Torii

2018-03-13 1:02 GMT+09:00 Brandon Williams <[email-masked]>:
> PASSWORD-ALGORITHMS, echoing back the value contained in the response. The
> example in section 18 does not show this.
>
> --Brandon
>
>

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Tue, 13 Mar 2018 04:28:02 +0000

Thanks, updated example in Section 18.

Cheers,
-Tiru

> Sent: Tuesday, March 13, 2018 5:36 AM
> Subject: Re: [tram] draft-ietf-tram-turnbis
> 
> Hi Brandon,
> 
> > I think that Torii's point is that according to stunbis section 9.2.5
> > a request that contains PASSWORD-ALGORITHM will also contain
> >> Section 18 discusses both PASSWORD-ALGORITHM and PASSWORD-
> ALGORITHMS
> >> (sent in Allocate error response).
> >>
> >> -Tiru
> >>
> >>>
> >>> Best regards,
> >>>
> >>> Noriyuki Torii
> >>>